For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update service type

Update a service type.

Required permissions: SERVICE_ORDER

put
/tenants/{tenantUid}/serviceorders/types/{serviceTypeUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceTypeUidstringRequired

Reference to a service type

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
deprecatedbooleanOptional
Responses
200

Example response

application/json
serviceTypeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
deprecatedbooleanRequired
put/tenants/{tenantUid}/serviceorders/types/{serviceTypeUid}
PUT /v2/tenants/{tenantUid}/serviceorders/types/{serviceTypeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "name": "text",
  "serviceStatuses": [
    {
      "serviceStatusUid": "text",
      "position": 1
    }
  ],
  "deprecated": true
}
200

Example response

{
  "serviceTypeUid": "text",
  "tenantUid": "text",
  "serviceStatuses": [
    {
      "serviceStatusUid": "text",
      "serviceStatusName": "text",
      "position": 1,
      "state": "NOT_STARTED"
    }
  ],
  "name": "text",
  "deprecated": true
}

Last updated

Was this helpful?